Skip to main content
GET
List learning versions

Authorizations

X-API-Key
string
header
required

Query Parameters

action
enum<string> | null

Only the versions one kind of write made: deleted lists the learnings that can be put back. Left out, every write.

Available options:
added,
rewritten,
moved,
deleted,
restored
all_sequences
boolean
default:false

Every version of the learnings all sequences share.

column_id
string<uuid> | null

Every version of the learnings an unlinked column kept.

learning_id
string<uuid> | null

One learning's versions, a deleted learning's included.

saved_agent_id
string<uuid> | null

Every version of the learnings a saved agent kept.

limit
integer
default:10

The number of items to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:created_at
Available options:
created_at
order_direction
enum<string>
default:desc
Available options:
asc,
desc
cursor
string | null

Set the cursor to the next or previous page. You can get the cursor from the previous page's response.

Response

Successful Response

data
LearningVersionReadSchema · object[]

The list of ResponseItems.

next_page_cursor
string | null

The cursor to the next page. If there are no more pages, this is None.

previous_page_cursor
string | null

The cursor to the previous page. If there are no previous pages, this is None.